
RADOS - Bug #16553

Removing Writeback Cache Tier Does not clean up Incomplete_Clones

06/30/2016 10:52 AM - Lazuardi Nasution

Status: New % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category: Tiering   

Target version:    

Source: other Affected Versions: v9.2.1

Tags:  ceph-qa-suite:  

Backport:  Component(RADOS): Monitor

Regression: No Pull request ID:  

Severity: 2 - major Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

It seem that the issue related to bug #8882 still happen on Infernalis (v9.2.1). After removing the writeback cache by following

procedure on http://docs.ceph.com/docs/infernalis/rados/operations/cache-tiering/ the ex cachepool become has incomplete_clones

flag and still leaves min_read_recency_for_promote and min_write_recency_for_promote flags. Beside, the ex storagepool become

has lfor flag. Due to this condition (especially incomplete_clones flag on ex cachepool), I cannot use the same cachepool to build

new cache tier with following error message.

Error ENOTEMPTY: tier pool {cachepool} has snapshot state; it cannot be added as a tier without breaking the pool

Anyway, I can delete this ex cachepool.

History

#1 - 05/17/2017 03:48 PM - Greg Farnum

- Subject changed from Removing Writeback Cache Tier Leaves Incomplete_Clones Flag on Infernalis (v9.2.1) to Removing Writeback Cache Tier

Does not clean up Incomplete_Clones

#2 - 06/14/2017 03:23 AM - Greg Farnum

- Project changed from Ceph to RADOS

- Category set to Tiering

- Component(RADOS) Monitor added

#3 - 08/23/2017 10:20 AM - Henrik Korkuc

It looks like I hit same issue on 10.2.9.

#4 - 05/07/2019 06:13 AM - Jun Yang

Still hit the same issue on 12.2.10
